/*
Copyright (c) 2000                      RIPE NCC


All Rights Reserved

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of the author not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/

/*
-------------------------------------------------------------------------------
Module Header
Filename          : utils.h
Author            : Rene Wilhelm
Date              : 17-OCT-2000
Description       : misscellaneous declarations and types
Language Version  : C++
OSs Tested        : Solaris 2.6, Solaris 8, Debian Linux 2.2
$Id: utils.h,v 1.3 2003/05/16 13:57:42 ttraffic Exp $
-------------------------------------------------------------------------------
*/

#ifndef utils_included
#define utils_included 

//
//  Common constant definitions
//

#define SECONDSPERDAY 86400
#define ROOT_TIMEZERO	788918400

// Commandline to convert ps files to gif
//
// BoundingBox parameters are taken from a manual run of the
// bbfig tool; will be fine as long as ROOT PostScript prolog
// does not change.
//
// rotate to get proper orientation
// scale up a bit to make text more legible
//

#define PS2GIF "ps2gif -b 41 28 574 750.75 -r -s 1.2"
#define PS2PDF "ROOTps2pdf"


#define MAX(a,b)   (a > b) ? a : b

//
//  External globals
//

extern char* progname;
extern int   verbose;

// 
// Simple type definitions
// 

enum plotformat {
	csv,		// comma seperated fields  (Ascii)
	gif,		// bitmap image
	ps,		// PostScript tuned for paper   (90 degree rotated)
	eps,		// PostScript tuned for viewing
	pdf		// PostScript turned into pdf for viewing
};

enum period {
	day,
	week
};

#endif
